import * as Konva from "konva";
import { IThisParam, R2dObject } from "./R2dObject";
export interface ICircle {
    radius: number;
    color: string;
    border?: number;
    borderColor?: string;
    opacity?: number;
}
export declare class CircleObject extends R2dObject {
    readonly identifier = "circle";
    constructor(args: Konva.CircleConfig, thisParam: IThisParam);
    updateAppearance(args: Partial<ICircle>): void;
}
declare function circle(this: IThisParam, args: ICircle): CircleObject;
export default circle;
