import * as Konva from "konva";
import { IThisParam, R2dObject } from "./R2dObject";
export interface IArrow {
    pointerWidth: number;
    pointerLength: number;
    color: string;
    border?: number;
    borderColor?: string;
    opacity?: number;
}
export declare class ArrowObject extends R2dObject {
    readonly identifier = "arrow";
    constructor(args: Konva.ArrowConfig, thisParam: IThisParam);
    updateAppearance(args: Partial<IArrow>): void;
}
declare function arrow(this: IThisParam, args: IArrow): ArrowObject;
export default arrow;
