import { ImageObject } from "./image";
import { IThisParam } from "./R2dObject";
export interface IMap {
    path: string;
    info: {
        origin: number[];
        resolution: number;
    };
}
export interface IMapReturnSuccess {
    image: ImageObject;
    info: IMap["info"] & {
        naturalHeight: number;
    };
}
declare function drawableMap(this: IThisParam, args: IMap): Promise<IMapReturnSuccess>;
export default drawableMap;
