import * as Konva from "konva";
import { IThisParam, R2dObject } from "./R2dObject";
export interface IRectangle {
    width: number;
    height: number;
    color: string;
    border?: number;
    borderColor?: string;
    opacity?: number;
}
export declare class RectangleObject extends R2dObject {
    readonly identifier = "rectangle";
    constructor(args: Konva.RectConfig, thisParam: IThisParam);
    updateAppearance(args: Partial<IRectangle>): void;
}
declare function rectangle(this: IThisParam, args: IRectangle): RectangleObject;
export default rectangle;
